/**
 * Created by jinpu on 17/6/28.
 */
let $ = require('jquery')
var defaultOptions = {
    format: "YYYY-MM-DD HH:mm:ss",  //时间格式
    time: true,
    separator: " / ",    //起止时间分隔符
    dateLimit: null,    //限制时间选择的天数
    applyCallback: null,
    defaultDate: null,
}

function _getOptions() {
    var dateOption = {
        startDate: moment().subtract(defaultOptions.defaultDate.number, defaultOptions.defaultDate.unit),
        endDate: moment(),
        autoApply: true,
        timePicker: defaultOptions.time,
        timePicker24Hour: defaultOptions.time,
        locale: {
            "format": defaultOptions.format,
            "separator": defaultOptions.separator,
            "applyLabel": "确认",
            "cancelLabel": "取消",
            "todayLabel": "今天",
            "fromLabel": "从",
            "toLabel": "至",
            "customRangeLabel": "自定义",
            "daysOfWeek": [
                "日",
                "一",
                "二",
                "三",
                "四",
                "五",
                "六"
            ],
            "monthNames": [
                "一月",
                "二月",
                "三月",
                "四月",
                "五月",
                "六月",
                "七月",
                "八月",
                "九月",
                "十月",
                "十一月",
                "十二月"
            ],
        }
    }

    if (defaultOptions.dateLimit != null) {
        dateOption.dateLimit = {
            "days": defaultOptions.dateLimit
        }
    }
    return dateOption;
}

export function initDatePicker(selector, options) {
    $.extend(defaultOptions, options, true);
    $(selector).daterangepicker(_getOptions(), function (start, end) {
        if (defaultOptions.applyCallback != null) {
            defaultOptions.applyCallback(start.format(defaultOptions.format), end.format(defaultOptions.format));
        }
    });
}

export default {
    initDatePicker: initDatePicker
}